import { jsx } from "react/jsx-runtime";
import { PenNibIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const PenNib = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "PenNib", ...props, children: /* @__PURE__ */ jsx(PenNibIcon, { weight: variant }) });
  }
);
PenNib.displayName = "PenNib";
Object.assign(PenNib, { isGdsIcon: true });
export {
  PenNib
};
